%define	name	ripmime
%define	version	1.3.0.5
%define	release	2mdk

%define	major 1
%define	minor 3
%define libname	%mklibname %{name} %{major}

Summary:	Extracts attachments out of mailpack format emails.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Mail
URL:		http://www.pldaniels.com/ripmime/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		ripmime-1.3.0.5-shared.diff.bz2
BuildConflicts:	ripmime-devel
BuildConflicts:	libripmime1
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
ripMIME is a small program which has been developed as part of the
commercial Xamime development (http://www.xamime.com).

ripMIME has been written with one sole purpose in mind, to extract
the attached files out of a MIME encoded email package.

%package -n	%{libname}
Summary:	Shared %{name} library
Group:          System/Libraries
Provides:	%{libname} = %{version}

%description -n		%{libname}
ripMIME is a small program which has been developed as part of the
commercial Xamime development (http://www.xamime.com).

ripMIME has been written with one sole purpose in mind, to extract
the attached files out of a MIME encoded email package.

This package provides the shared %{name} library.

%package -n	%{libname}-devel
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{libname}-devel = %{version}
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
ripMIME is a small program which has been developed as part of the
commercial Xamime development (http://www.xamime.com).

ripMIME has been written with one sole purpose in mind, to extract
the attached files out of a MIME encoded email package.

This package provides development files for the %{name} library.

%prep

%setup -q
%patch0 -p0 

%build

make \
    CFLAGS="%{optflags} -fPIC -I.." \
    MAJOR="%{major}" MINOR="%{minor}" shared static ripmime

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}

install -m755 %{name} %{buildroot}%{_bindir}/
install -m755 ripOLE/ripole %{buildroot}%{_bindir}/

install -m755 lib%{name}.so.%{major}.%{minor} %{buildroot}%{_libdir}/
ln -snf lib%{name}.so.%{major}.%{minor} %{buildroot}%{_libdir}/lib%{name}.so
ln -snf lib%{name}.so.%{major}.%{minor} %{buildroot}%{_libdir}/lib%{name}.so.%{major}

install -m755 lib%{name}.a %{buildroot}%{_libdir}/

cp ripOLE/CHANGELOG CHANGELOG.ripOLE
cp ripOLE/README README.ripOLE
cp ripOLE/CONTRIBUTORS CONTRIBUTORS.ripOLE
cp ripOLE/INSTALL INSTALL.ripOLE
cp ripOLE/TODO TODO.ripOLE

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGELOG* CONTRIBUTORS* INSTALL* README*
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc TODO*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Fri Dec 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0.5-2mdk
- provide static and shared libs as well and build ripmime against it

* Sat Nov 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0.5-1mdk
- 1.3.0.5

* Sun Jun 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0.4-1mdk
- 1.3.0.4

* Sat May 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0.3-1mdk
- 1.3.0.3

* Thu Mar 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0.2-1mdk
- 1.3.0.2
- fix CFLAGS

* Fri Feb 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.17.0-1mdk
- 1.2.17.0

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.21-2mdk
- build release

* Tue Nov 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.21-1mdk
- new version

* Wed Nov 06 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.19-1mdk
- new version

* Sat Oct 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.18-2mdk
- use spec file magic to enable compilation against dietlibc, use
  "rpm --rebuild --with diet ripmime-1.2.16.18-2mdk.src.rpm"

* Mon Oct 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.18-1mdk
- new version

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.16-2mdk
- rebuilt with gcc-3.2

* Sat Jun  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.16-1mdk
- new version

* Sun May 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.15-1mdk
- new version

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.12-1mdk
- new version
- rebuilt with gcc3.1

* Sun May 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.11-1mdk
- new version

* Sat Apr 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.7-1mdk
- new version

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.6-1mdk
- new version(, new lowercase name)
- spec file fix

* Tue Mar  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.16.4-1mdk
- initial cooker contrib
